Retarget an Alias
curl --request PATCH \
--url https://{projectHost}/collections/{collectionName}/aliases/{aliasName} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"target": {
"kind": "branch",
"name": "main"
}
}
'import requests
url = "https://{projectHost}/collections/{collectionName}/aliases/{aliasName}"
payload = { "target": {
"kind": "branch",
"name": "main"
} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({target: {kind: 'branch', name: 'main'}})
};
fetch('https://{projectHost}/collections/{collectionName}/aliases/{aliasName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alias": {
"aliasId": "alias-id",
"aliasName": "production-read",
"targetKind": "BRANCH",
"targetName": "main",
"targetId": "branch-id",
"aliasRevision": 1,
"dangling": false,
"createdAt": 1788336000000
}
}{
"message": "Invalid request"
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "Too many requests"
}{
"message": "Internal server error"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Branches, tags & aliases
Retarget an alias
Retarget an alias to a branch or tag.
PATCH
/
collections
/
{collectionName}
/
aliases
/
{aliasName}
Retarget an Alias
Authorizations
Project API Key.
Path Parameters
Collection name.
Required string length:
3 - 52Pattern:
^[a-zA-Z0-9_-]{3,52}$Body
application/json
Show child attributes
Show child attributes
Response
Alias retargeted.
Show child attributes
Show child attributes
Was this page helpful?